<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>

</body>
<script>
    var v1 = [" avengers", "   captain_america", "ironman   ", " black panther   "];
    var [a, ...b] = v1
    console.log(a.trim());
    console.log(b.forEach(element => { return element.trim() }));

    var v2 = 1;
    console.log(v2 * 1000);

    function subtask3(a, ...b) {
        var sum = Math.pow(a, 2);
        b.map(value => {
            var binhPhuongSoHienTai = Math.pow(value, 2);
            sum += binhPhuongSoHienTai;
        })
        console.log(sum);
    }

    subtask3(1, 2, 3, 4, 5);

    function subtask4(a, ...b) {
        a += 4;
        b.map(element => {
            element += 4;
        })
        console.log(a, ...b);
    }

    subtask4(1, 2, 3, 4, 5);

    function subtask5(...a) {
        var evenArr = a.filter(element => element % 2 === 0);
        var sum = evenArr.reduce((partialSum, a) => partialSum + a, 0);
        console.log(sum);
    }

    subtask5(1, 2, 3, 4, 5, 6, 7, 8, 9, 10);

    function subtask6(...a) {
        return a.map(value => {
            return value.toUpperCase();
        })
    }

    console.log(subtask6("avengers", "captain america"));

    var [...nameN] = [
        { name: 'Spider-Man' },
        { name: 'Thor' },
        { name: 'Black Panther' },
        { name: 'Captain Marvel' },
        { name: 'Silver Surfer' }
    ]

    var addId = [...nameN].map((value,data) => {
        [...nameN][data].id = data + 1;
        return console.log([...nameN]);
    }
    )


</script>

</html>